1
Indiquez l’intérêt que vous portez à cette question
0

PHP 7.2, SPIP 3.2.7 et Couteau Suisse 1.10.16

Bonsoir,

Je viens de faire la mise à jour d’un site en PHP 7.2 et SPIP 3.2.7 (de 3.2.5) et le Couteau Suisse est activé (1.10.16 de 1.10.15).

Si le Couteau Suisse est activé, j’ai des erreurs
Deprecated : Function create_function() is deprecated sur plusieurs fichiers.
sinon c’est bon.

Si je veux activer le Couteau Suisse 1.10.16 avec SPIP 3.2.7, je dois repasser en PHP 7.1

Que dois je faire pour qu’en attendant SPIP 3.3 compatible PHP 7.3 (et 7.4 je suppose) le tout, sous PHP 7.2, marche sans erreur ?

Est-ce que simplement masquer les erreurs suffit ? Il n’y aura pas de problème de fonctionnement ?

Merci d’avance.